import 'dart:convert';

class SubjectsModel {
  int? id;
  String? subject;
  dynamic subjectEn;

  SubjectsModel({
    this.id,
    this.subject,
    this.subjectEn,
  });

  factory SubjectsModel.fromRawJson(String str) =>
      SubjectsModel.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory SubjectsModel.fromJson(Map<String, dynamic> json) => SubjectsModel(
        id: json["id"],
        subject: json["subject"],
        subjectEn: json["subject_en"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "subject": subject,
        "subject_en": subjectEn,
      };
}
